#!/bin/sh

DOMAIN="$(cat aux/domain.txt)"
NAME="$(basename "$PWD")"
export DOMAIN NAME

assert_arg() {
	if [ -z "$1" ]; then
		printf 'Missing %s.\n\n' "$2" >&2
		cat <<-'EOF'
			usage >&2
			exit 2
		EOF
	fi
}

uuid() {
	od -xN20 /dev/urandom |
		head -n1 |
		awk '{OFS="-"; print $2$3,$4,$5,$6,$7$8$9}'
}

tmpname() {
	printf '%s/uuid-tmpname-without-spaces.%s' "${TMPDIR:-/tmp}" "$(uuid)"
}

mkstemp() {
	name="$(tmpname)"
	touch -- "$name"
	printf '%s' "$name"
}

mkdtemp() {
	name="$(tmpname)"
	mkdir -p -- "$name"
	printf '%s' "$name"
}
